See Session.activeConnections

### Hierarchy

- Connection

## Index

### Properties

- clientData
- connectionId
- publishers
- role
- serverData
- subscribers
- token

## Properties

### clientData

clientData: string

- Defined in Connection.ts:50

Data associated to the connection on the client-side. This value is set with second parameter of method Session.connect in OpenVidu Browser

### connectionId

connectionId: string

- Defined in Connection.ts:29

Identifier of the connection. You can call Session.forceDisconnect passing this property as parameter

### publishers

publishers: Publisher[] = []

- Defined in Connection.ts:56

Array of Publisher objects this particular Connection is publishing to the Session (each Publisher object has one Stream, uniquely identified by its `streamId`). You can call Session.forceUnpublish passing any of this values as parameter

### role

role: OpenViduRole

- Defined in Connection.ts:34

Role of the connection

### serverData

serverData: string

- Defined in Connection.ts:44

Data associated to the connection on the server-side. This value is set with property TokenOptions.data when calling Session.generateToken

### subscribers

subscribers: string[] = []

- Defined in Connection.ts:62

Array of streams (their `streamId` properties) this particular Connection is subscribed to. Each one always corresponds to one Publisher of some other Connection: each string of this array must be equal to one Publisher.streamId of other Connection

### token

token: string

- Defined in Connection.ts:39

Token associated to the connection

Generated using TypeDoc